# HG changeset patch
# Node ID 6de67d5a056a
# Parent  d548bddf4fe4
diff --git a/libpurple/media/backend-iface.h b/libpurple/media/backend-iface.h
--- a/libpurple/media/backend-iface.h
+++ b/libpurple/media/backend-iface.h
@@ -197,7 +197,8 @@ GList *purple_media_backend_get_codecs(P
  *
  * Gets the list of local candidates for a stream.
  *
- * Return Value: (transfer full) (element-type PurpleMediaCandidate): The list of local candidates.
+ * Returns: (transfer full) (element-type PurpleMediaCandidate): The list of
+ *          local candidates.
  *
  * Since: 2.7.0
  */
@@ -317,7 +318,8 @@ void purple_media_backend_set_params(Pur
  * Gets the list of optional parameters supported by the media backend.
  * The list should NOT be freed.
  *
- * Return Value: (transfer none): NULL-terminated array of names of supported parameters.
+ * Returns: (transfer none): NULL-terminated array of names of supported
+ *          parameters.
  *
  * Since: 2.8.0
  */
diff --git a/libpurple/protocols/gg/avatar.c b/libpurple/protocols/gg/avatar.c
--- a/libpurple/protocols/gg/avatar.c
+++ b/libpurple/protocols/gg/avatar.c
@@ -241,7 +241,7 @@ ggp_avatar_buddy_update(PurpleConnection
  * Own avatar setting.
  ******************************************************************************/
 
-/**
+/*
  * TODO: use new, GG11 method, when IMToken will be provided by libgadu.
  *
  * POST https://avatars.mpa.gg.pl/avatars/user,<uin>/0
diff --git a/libpurple/purpleconversation.h b/libpurple/purpleconversation.h
--- a/libpurple/purpleconversation.h
+++ b/libpurple/purpleconversation.h
@@ -568,9 +568,9 @@ void purple_conversation_set_topic(Purpl
  *
  * Sets everything about the topic all at once.
  *
- * See also: [method@Conversation.set_topic],
- *           [method@Conversation.set_topic_author], and
- *           [method@Conversation.set_topic_updated].
+ * See also [method@Conversation.set_topic],
+ * [method@Conversation.set_topic_author], and
+ * [method@Conversation.set_topic_updated].
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purpleconversation.c b/libpurple/purpleconversation.c
--- a/libpurple/purpleconversation.c
+++ b/libpurple/purpleconversation.c
@@ -874,7 +874,7 @@ purple_conversation_class_init(PurpleCon
 	 * for a conversation to be offline if the server it is on is currently
 	 * unreachable.
 	 *
-	 * See Also: [property@Conversation:federated].
+	 * See also [property@Conversation:federated].
 	 *
 	 * Since: 3.0.0
 	 */
diff --git a/libpurple/purplemessage.h b/libpurple/purplemessage.h
--- a/libpurple/purplemessage.h
+++ b/libpurple/purplemessage.h
@@ -533,7 +533,7 @@ gboolean purple_message_get_action(Purpl
  *
  * Sets whether or not @message is an action.
  *
- * See also: [property@Message:action] for more information.
+ * See also [property@Message:action] for more information.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purplepresencemanager.h b/libpurple/purplepresencemanager.h
--- a/libpurple/purplepresencemanager.h
+++ b/libpurple/purplepresencemanager.h
@@ -59,11 +59,11 @@ G_DECLARE_FINAL_TYPE(PurplePresenceManag
  * This may be %NULL if libpurple hasn't been initialized or if someone
  * incorrectly unref'd it.
  *
+ * See also [func@PresenceManager.get_default_as_model].
+ *
  * Returns: (transfer none) (nullable): The default presence manager.
  *
  * Since: 3.0.0
- *
- * See Also: [func@PresenceManager.get_default_as_model]
  */
 PURPLE_AVAILABLE_IN_3_0
 PurplePresenceManager *purple_presence_manager_get_default(void);
@@ -74,17 +74,17 @@ PurplePresenceManager *purple_presence_m
  * Gets the default [class@PresenceManager] as a [iface@Gio.ListModel].
  *
  * This is the equivalent to calling [func@PresenceManager.get_default] and
- * type casting it to [iface@gio.ListModel].
+ * type casting it to [iface@Gio.ListModel].
  *
  * This may be %NULL if libpurple hasn't been initialized or if someone
  * incorrectly unref'd it.
  *
+ * See also [func@PresenceManager.get_default].
+ *
  * Returns: (transfer none) (nullable): The default presence manager type cast
  *          to a list model.
  *
  * Since: 3.0.0
- *
- * See Also: [func@PresenceManager.get_default]
  */
 PURPLE_AVAILABLE_IN_3_0
 GListModel *purple_presence_manager_get_default_as_model(void);
diff --git a/pidgin/pidgintextbuffer.h b/pidgin/pidgintextbuffer.h
--- a/pidgin/pidgintextbuffer.h
+++ b/pidgin/pidgintextbuffer.h
@@ -45,9 +45,9 @@ G_BEGIN_DECLS
  * This is the same as calling [func@text_buffer_get_html_range] with the start
  * and end iterators of @buffer.
  *
- * Returns: (transfer full) (nullable): The HTML string, which could be empty.
+ * See also [func@text_buffer_get_html_range].
  *
- * See Also: [func@text_buffer_get_html_range]
+ * Returns: (transfer full) (nullable): The HTML string, which could be empty.
  *
  * Since: 3.0.0
  */
@@ -64,9 +64,9 @@ char *pidgin_text_buffer_get_html(GtkTex
  * This will work with any [class@Gtk.TextBuffer] as it deciphers the tags it
  * finds.
  *
- * Returns: (transfer full) (nullable): The HTML string, which could be empty.
+ * See also [func@text_buffer_get_html].
  *
- * See Also: [func@text_buffer_get_html]
+ * Returns: (transfer full) (nullable): The HTML string, which could be empty.
  *
  * Since: 3.0.0
  */
